﻿.authentication-wrapper {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--PP_LightGray);
  background-image: url(/assets/background-vector.svg);
  background-repeat: no-repeat;
  background-size: 640px, 167px 40px;
  background-position: 100% 115%, 24px calc(100% - 24px);
}
.authentication-wrapper .customerLogo {
  position: fixed;
  bottom: 50px;
  left: 50px;
}
.authentication-wrapper .customerLogo img {
  height: 40px;
}
.authentication-wrapper .space-between-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.authentication-wrapper .sso-authentication-field {
  display: flex;
  justify-content: center;
}
.authentication-wrapper .sso-authentication-field .pp-sso-link-button {
  border: 0;
  background-color: unset;
  text-decoration: underline;
  color: var(--Gray5);
  font-family: "Open Sans";
  font-weight: 600;
  font-size: 12px;
}
.authentication-wrapper .sso-authentication-field .pp-sso-link-button:hover {
  cursor: pointer;
}
@media all and (max-width: 767px) {
  .authentication-wrapper {
    background-image: unset;
  }
}
.authentication-wrapper .authentication-panel-wrapper {
  display: flex;
  flex-flow: row;
}
@media all and (max-width: 767px) {
  .authentication-wrapper .authentication-panel-wrapper {
    flex-flow: column;
  }
}
.authentication-wrapper .authentication-section {
  display: flex;
  flex-flow: column;
  background-color: #fff;
  box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.05);
}
@media all and (max-width: 767px) {
  .authentication-wrapper .authentication-section {
    flex-flow: column;
    box-shadow: unset;
    background-color: var(--PP_LightGray);
    width: 100%;
  }
}
.authentication-wrapper .authentication-section .authentication-logo-wrapper {
  display: flex;
  justify-content: center;
  padding-top: 24px;
}
.authentication-wrapper .authentication-section .session-expired-wrapper {
  display: flex;
  justify-content: center;
  padding-top: 30px;
}
.authentication-wrapper .authentication-section .session-expired-wrapper .session-expired-field {
  display: grid;
  position: center;
  gap: 4px;
  padding: 0px 0 16px;
}
.authentication-wrapper .authentication-section .session-expired-wrapper .session-expired-title-header {
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  font-size: 24px;
  line-height: 36px;
  letter-spacing: 0.25px;
  color: #3f4444;
  padding: 4px 0;
}
.authentication-wrapper .authentication-section .session-expired-wrapper .session-expired-text {
  font-family: "Open Sans";
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
}
.authentication-wrapper .authentication-section .session-expired-wrapper .session-expired-text .session-expired-text-header {
  display: flex;
  flex-flow: column;
  gap: 8px;
}

.authentication-panel {
  width: 312px;
  padding: 24px 16px;
}
@media all and (max-width: 767px) {
  .authentication-panel {
    width: unset;
  }
}
.authentication-panel .remember-password-field {
  display: flex;
  align-items: center;
}
.authentication-panel .remember-password-field input {
  width: 16px;
  height: 16px;
  margin: 4px;
}
.authentication-panel .remember-password-field label {
  font-family: "Open Sans";
  font-weight: 400;
  font-size: 14px;
}
.authentication-panel .authentication-logo {
  display: flex;
  justify-content: center;
  padding-bottom: 24px;
  gap: 4px;
}
.authentication-panel .authentication-info-panel {
  padding: 0 0 32px;
}
.authentication-panel .authentication-errors-panel {
  font-family: "Open Sans";
  font-size: 16px;
}
.authentication-panel .authentication-errors-panel ul {
  padding: 8px 0;
}
.authentication-panel .authentication-errors-panel ul li {
  list-style: none;
}
.authentication-panel .authentication-button-label {
  display: block;
  padding-bottom: 8px;
}
.authentication-panel .authentication-text {
  font-family: "Open Sans";
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
}
.authentication-panel .authentication-text .authentication-text-header {
  display: flex;
  flex-flow: column;
  gap: 8px;
}
.authentication-panel .authentication-text .list {
  list-style: none;
  padding-left: 8px;
}
.authentication-panel .authentication-text .list .valid::before {
  font-family: "Font Awesome 5 Pro";
  font-weight: 400;
  content: "\f00c";
  color: #199f36;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 22px;
}
.authentication-panel .authentication-text .list .invalid::before {
  font-family: "Font Awesome 5 Pro";
  font-weight: 900;
  content: "\f0da";
  color: var(--Gray6);
  display: flex;
  justify-content: center;
  align-items: center;
  height: 22px;
}
.authentication-panel .authentication-text .list li {
  display: grid;
  grid-template-columns: 15px 1fr;
  gap: 0px 8px;
  line-height: 22px;
}
.authentication-panel .authentication-title-header {
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  font-size: 24px;
  line-height: 36px;
  letter-spacing: 0.25px;
  color: #3f4444;
  padding: 4px 0;
}
.authentication-panel .authentication-title-header.center {
  text-align: center;
}
.authentication-panel .authentication-field {
  display: grid;
  position: relative;
  gap: 4px;
  margin: 0px 0 5px;
}
.authentication-panel .authentication-field .password-input-container {
  position: relative;
}
.authentication-panel .authentication-field .password-input-container i {
  position: absolute;
  right: 8px;
  top: 0px;
  bottom: 0;
  margin: auto;
  height: 17px;
  width: 20px;
  cursor: pointer;
}
.authentication-panel .authentication-field .icon {
  position: absolute;
  right: 8px;
  top: 35px;
  bottom: 0;
  margin: auto;
  height: 17px;
  width: 20px;
  cursor: pointer;
}
.authentication-panel .authentication-field .field-label {
  font-family: "Open Sans";
  font-weight: 600;
  font-size: 12px;
  line-height: 15px;
  letter-spacing: 0.1px;
}
.authentication-panel .authentication-field .field-input {
  font-family: "Open Sans";
  font-weight: 400;
  font-size: 14px;
  height: 32px;
  width: 100%;
  box-sizing: border-box;
  border-radius: 0%;
  border: 1px solid var(--Gray3);
  padding: 0 8px;
}
.authentication-panel .authentication-field .field-input.password-input {
  padding-right: 15% !important;
}
.authentication-panel .authentication-field .field-input.password-input::-ms-reveal {
  display: none;
}
.authentication-panel .authentication-field .field-input::placeholder {
  font-style: italic;
}
.authentication-panel .authentication-field .field-input:-webkit-autofill::first-line {
  font-family: "Open Sans";
  font-weight: 400;
  font-size: 14px;
}
.authentication-panel .authentication-field .field-input:focus-visible:not(.input-validation-error) {
  background: #f8faff;
  outline: var(--Blue) auto 1px;
  outline-style: solid;
}
.authentication-panel .authentication-field .field-input:disabled {
  background-color: var(--PP_LightGray);
  border-color: var(--PP_LightGray);
}
@media all and (max-width: 767px) {
  .authentication-panel .authentication-field .field-input:disabled {
    border-color: var(--Gray3);
  }
}
.authentication-panel .authentication-field .field-button {
  min-height: 32px;
  background-color: var(--Blue);
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 5px;
  border: 0;
  border-radius: 2px;
  color: #fff;
  font-family: "Open Sans";
  font-weight: 600;
  font-size: 14px;
  cursor: pointer;
  width: 100%;
  text-decoration: unset;
}
.authentication-panel .authentication-field .field-button a {
  color: #fff;
  text-decoration: none;
}
.authentication-panel .authentication-field .disabled {
  cursor: not-allowed;
  pointer-events: none;
  background-color: var(--PaleBlue);
}
.authentication-panel .forgot-confirmation {
  display: flex;
}
.authentication-panel .change-password-field {
  margin: 16px 0 16px;
}
.authentication-panel .forgot-field {
  display: flex;
  justify-content: center;
}
.authentication-panel .forgot-field .forgot-password {
  color: var(--Blue);
  text-decoration: underline;
  font-family: "Open Sans";
  font-weight: 600;
  font-size: 12px;
  letter-spacing: 0.1px;
}

.sso-authentication-panel {
  display: flex;
  align-items: center;
}
.sso-authentication-panel .field-button {
  height: 32px;
  background-color: var(--Blue);
  display: flex;
  align-items: center;
  justify-content: center;
  border: 0;
  cursor: pointer;
  border-radius: 2px;
  color: #fff;
  font-family: "Open Sans";
  font-weight: 600;
  font-size: 14px;
  width: 100%;
}

.authentication-separator {
  display: flex;
  align-items: center;
  flex-flow: column;
  justify-content: center;
}
@media all and (max-width: 767px) {
  .authentication-separator {
    flex-flow: row;
  }
}
.authentication-separator .line {
  width: 1px;
  height: 35%;
  background: var(--Gray4);
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
}
@media all and (max-width: 767px) {
  .authentication-separator .line {
    height: 1px;
    width: calc(50% - 16px);
  }
}
.authentication-separator .circle {
  display: flex;
  width: 30px;
  height: 30px;
  border: 1px solid var(--Gray4);
  border-radius: 50%;
  justify-content: center;
  align-items: center;
  color: var(--Gray4);
  font-family: "Open Sans";
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
}

.full-span {
  width: 100%;
}

.input-validation-error,
.input-validation-error:focus-visible {
  outline: #c81922 auto 1px;
  outline-style: solid;
}

.field-validation-error {
  display: flex;
  align-items: center;
  margin-top: -3px;
  z-index: 2;
  background: #f00;
  max-width: 100%;
  width: fit-content;
  height: fit-content;
  min-height: 32px;
  font-family: "Open Sans";
  font-weight: 400;
  color: #fff;
  font-size: 14px;
  padding: 0 8px;
  transition: background 0.4s;
  outline: #f00 auto 1px;
  outline-style: solid;
}

.field-validation-valid {
  transition: background 0.4s;
  visibility: hidden;
  position: absolute;
}

.padding-bottom-24 {
  padding-bottom: 24px;
}

.padding-bottom-16 {
  padding-bottom: 16px;
}

.bold {
  font-weight: 600;
}

.password-strength-container {
  display: grid;
  grid-template-columns: 1fr 56px;
  align-items: center;
  gap: 1.5rem;
  padding-bottom: 0.5rem;
}
.password-strength-container .password-strength-background {
  background-color: var(--Gray2);
  overflow: hidden;
  border-radius: 25px;
}
.password-strength-container .password-strength-bar {
  height: 0.5rem;
  transition: 0.4s width;
}
.password-strength-container .password-strength-description {
  font-family: "Open Sans";
  font-weight: 600;
  font-size: 12px;
  line-height: 0.5rem;
}
